.oms-button {
  --button-bgcolor: white;
  --button-border-color: var(--font-color-primary);
  --button-border-radius: 0;
  --button-border-size: 2px;
  --button-color: var(--font-color-primary);
  --button-font-family: var(--font-family-secondary);
  --button-font-size: var(--font-size-base);
  --button-font-weight: var(--font-weight-bold);
  --button-height: 40px;
  --button-min-width: 50px;

  -webkit-font-smoothing: subpixel-antialiased;
  align-items: center;
  backface-visibility: hidden;
  background-color: var(--button-bgcolor);
  border: var(--button-border-size) solid var(--button-border-color);
  color: var(--button-color) !important;
  cursor: pointer;
  display: inline-flex;
  font-family: var(--button-font-family);
  font-size: var(--button-font-size);
  font-weight: var(--button-font-weight);
  height: var(--button-height);
  justify-content: center;
  min-width: var(--button-min-width);
  outline: 0;
  padding: 0 var(--space-xs);
  position: relative;
  text-align: center;
  text-decoration: none !important;
  white-space: nowrap;
  width: fit-content;

  // Size modifiers
  &--size-sm {
    --button-height: var(--space-sm);
  }

  &--size-md {
    --button-height: var(--space-md);
  }

  &--size-lg {
    --button-height: var(--space-lg);
  }

  // Variant modifiers
  &--variant-primary {
    --button-bgcolor: white;
    --button-border-color: var(--font-color-primary);
    --button-color: var(--font-color-primary);
  }

  &--variant-secondary {
    --button-bgcolor: var(--font-color-primary);
    --button-border-color: var(--font-color-primary);
    --button-color: white;
  }

  &--variant-important {
    --button-bgcolor: var(--color-primary);
    --button-color: var(--font-color-primary);
    --button-border-color: var(--color-primary);
  }
}
